import java.util.Observable;
import java.util.Observer;

// die Methode setChanged von java.util.Observable ist protected
// kann also nur aus einer Unterklasse von Observable
// oder aus dem gleichen Paket aufgerufen werden.
// Deswegen verwenden wir eine Unterklasse von Observable.
// Deren Methode signalChanged leitet weiter an die protected Methode 
// setChanged von Observable.

public class ObserverManager extends Observable
{
  public void signalChanged() {
    super.setChanged();
  }
}
