import java.util.Observable;
import java.util.Observer;

public class Ding extends UeberDing
{

   private String value;
   private ObserverManager om;
  
   public Ding(ObserverManager om) {
      this.om = om;
   }
   
   public void setValue (String s)
   {
      value = s;

      om.signalChanged();          // set changed flag
      om.notifyObservers(value);   // do notification 
   }
   
   public void addObserver(Observer obs) {
      om.addObserver(obs);
   }
   
}
